------------------------------------------------------------------------------------
--Name:  	zhongxia2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(106, 96)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056910, 106, 96, "Belle", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(110, 100)
Player_2:SetDir(3)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("With my power, reshape the bond!", 2000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 110, 100, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(490)
local Effect_1 = CppScriptMgr:AddEffect("yiguidz_3112", 110, 100, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2560)
Player_2:Say("I feel the power of Falling Sakura bond!", 2000)
CppScriptMgr:WaitMilSec(1450)
Player_2:SetAction(1111)
CppScriptMgr:WaitMilSec(5500)